[arch-commits] CVS update of extra/gnome/gconf (PKGBUILD gconf.install)

Jan de Groot jgc at archlinux.org
Sun Apr 22 09:53:19 EDT 2007


    Date: Sunday, April 22, 2007 @ 09:53:19
  Author: jgc
    Path: /home/cvs-extra/extra/gnome/gconf

Modified: PKGBUILD (1.26 -> 1.27) gconf.install (1.4 -> 1.5)

upgpkg: gconf 2.18.0.1-2
Move to /usr, add migration path for the gconf database, leave a symlink to /opt/gnome/bin intact for old packages that call it directly this way


---------------+
 PKGBUILD      |   20 ++++++++++++--------
 gconf.install |   22 +++++++++++++++++++---
 2 files changed, 31 insertions(+), 11 deletions(-)


Index: extra/gnome/gconf/PKGBUILD
diff -u extra/gnome/gconf/PKGBUILD:1.26 extra/gnome/gconf/PKGBUILD:1.27
--- extra/gnome/gconf/PKGBUILD:1.26	Mon Mar 19 13:02:33 2007
+++ extra/gnome/gconf/PKGBUILD	Sun Apr 22 09:53:18 2007
@@ -1,12 +1,12 @@
-# $Id: PKGBUILD,v 1.26 2007/03/19 17:02:33 jgc Exp $
+# $Id: PKGBUILD,v 1.27 2007/04/22 13:53:18 jgc Exp $
 # Maintainer:  Jan de Groot <jan at archlinux.org>
 
 pkgname=gconf
 pkgver=2.18.0.1
-pkgrel=1
+pkgrel=2
 pkgdesc="A configuration database system"
 arch=(i686 x86_64)
-depends=('orbit2>=2.14.7' 'gtk2>=2.10.11')
+depends=('orbit2>=2.14.7-2' 'gtk2>=2.10.11')
 makedepends=('pkgconfig' 'intltool>=0.35.5' 'gtk-doc>=1.8')
 options=('nolibtool')
 install=gconf.install
@@ -19,16 +19,20 @@
 	 'cfcc8e15be7b8a48de4aa34336ff6090')
 
 build() {
-  [ -z "${GNOMEDIR}" ] && . /etc/profile.d/gnome.sh
-
   cd ${startdir}/src/GConf-${pkgver}
   patch -Np1 -i ${startdir}/src/gconf-reload.patch || return 1
   aclocal || return 1
   autoconf || return 1
   automake || return 1
   sed -i -e 's/@LDAP_SUPPORT_TRUE@/#/' backends/Makefile.in
-  ./configure --prefix=/opt/gnome --disable-static
-  make || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var --libexecdir=/usr/lib/GConf \
+	      --disable-static
+  make pkglibdir=/usr/lib/GConf || return 1
   make DESTDIR=${startdir}/pkg install
-  install -m755 ${startdir}/src/gconf-merge-schema ${startdir}/pkg/opt/gnome/bin/
+  install -m755 ${startdir}/src/gconf-merge-schema ${startdir}/pkg/usr/bin/
+
+  # Many post_install/pre_remove scripts call it from there
+  mkdir -p ${startdir}/pkg/opt/gnome/bin
+  ln -sf ../../../usr/bin/gconftool-2 ${startdir}/pkg/opt/gnome/bin/gconftool-2
 }
Index: extra/gnome/gconf/gconf.install
diff -u extra/gnome/gconf/gconf.install:1.4 extra/gnome/gconf/gconf.install:1.5
--- extra/gnome/gconf/gconf.install:1.4	Mon Feb 21 14:54:06 2005
+++ extra/gnome/gconf/gconf.install	Sun Apr 22 09:53:18 2007
@@ -1,13 +1,29 @@
 # arg 1:  the new package version
 post_install() {
-  ldconfig -r . >/dev/null 2>&1
+  ldconfig -r .
 }
 
 # arg 1:  the new package version
 # arg 2:  the old package version
 post_upgrade() {
-  ldconfig -r . >/dev/null 2>&1
-  kill -s HUP `pidof /opt/gnome/bin/gconfd-2` > /dev/null 2>&1
+  ldconfig -r .
+  if [ `vercmp $2 2.18.0.1-2` -lt 0 ]; then
+    echo "Regenerating GConf database... "
+    # Move from /opt/gnome to /usr
+    ldconfig -r .
+    export GCONF_CONFIG_SOURCE=`usr/bin/gconftool-2 --get-default-source`
+    find /opt/gnome/{etc,share}/gconf/schemas -name "*.schemas" | xargs \
+      usr/bin/gconftool-2 --makefile-install-rule > /dev/null
+    if [ -f opt/gnome/etc/gconf/panel-default-setup.entries ]; then
+      usr/bin/gconftool-2 --direct --load opt/gnome/etc/gconf/panel-default-setup.entries > /dev/null
+    fi
+    echo "done."
+  fi
+    
+  PID=`pidof gconfd-2`
+  if [ ! -z "${PID}" ]; then
+    kill ${PID}
+  fi
 }
 
 # arg 1:  the old package version




More information about the arch-commits mailing list